Bug 1095343 - texlive-arara: Embeds classes from mvel
Summary: texlive-arara: Embeds classes from mvel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1095328 1098237
TreeView+ depends on / blocked
 
Reported: 2014-05-07 13:47 UTC by Florian Weimer
Modified: 2016-10-28 00:40 UTC (History)
3 users (show)

Fixed In Version: texlive-2016-17.20160520.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 00:40:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2014-05-07 13:47:13 UTC
During the build process, texlive-arara copies over classes from mvel.  Apart from general maintenance issues (a rebuild of texlive-arara is needed to completely address mvel bugs such as bug 1095339), this untracked dependency may cause Fedora to ship compiled Java code as part of the texlive-arara packages, without shipping matching source code, against the licensing guidelines.

Comment 1 Jaroslav Reznik 2015-03-03 15:46:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Admin XMLRPC Client 2015-08-11 05:32:45 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Tom "spot" Callaway 2015-09-16 17:36:12 UTC
My best understanding of the texlive spec file doesn't reflect this. The arara files are simply unpacked. Please look at rawhide and reopen if this is still happening and point to the specifics.

Comment 4 Florian Weimer 2015-09-16 19:08:54 UTC
Still present in rawhide:

$ rpm2cpio texlive-arara-svn29762.3.0-5.fc24.noarch.rpm | cpio -i --make
$ jar tf ./usr/share/texlive/texmf-dist/scripts/arara/arara.jar | grep mvel.*class | head
org/mvel2/asm/AnnotationVisitor.class
org/mvel2/asm/AnnotationWriter.class
org/mvel2/asm/Attribute.class
org/mvel2/asm/ByteVector.class

It looks like several other Java libraries are copied in this way.

Comment 5 Fedora End Of Life 2016-07-19 11:28:46 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Fedora Update System 2016-10-05 20:30:19 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-5.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 7 Fedora Update System 2016-10-06 20:59:22 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-6.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 8 Florian Weimer 2016-10-07 08:29:12 UTC
This is not correct:

Requires: texlive-arara-bin
Provides: bundled(slf4j)
Provides: bundled(apache-commons-collections)
Provides: bundled(apache-commons-exec)
Provides: bundled(apache-commons-lang3)
Provides: bundled(apache-commons-cli)
Provides: bundled(mvel2)
Provides: bundled(snakeyaml)
Provides: bunbled(logback)

The bundling happens in texlive-arara (without -bin).

Comment 9 Tom "spot" Callaway 2016-10-07 14:58:22 UTC
Umm.... no, I think that is correct.

%package arara
Provides: tex-arara = %{tl_version}
License: BSD
Summary: Automation of LaTeX compilation
Version: svn29762.3.0
Release: %{tl_noarch_release}.1
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-arara-bin
Provides: bundled(slf4j)
Provides: bundled(apache-commons-collections)
Provides: bundled(apache-commons-exec)
Provides: bundled(apache-commons-lang3)
Provides: bundled(apache-commons-cli)
Provides: bundled(mvel2)
Provides: bundled(snakeyaml)
Provides: bunbled(logback)

Those provides are not on arara-doc or arara-bin, just arara (where the jar file is).

Comment 10 Florian Weimer 2016-10-07 15:12:24 UTC
Right, sorry.

Comment 11 Fedora Update System 2016-10-09 12:30:24 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-7.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 12 Fedora Update System 2016-10-26 20:33:23 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-17.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 13 Fedora Update System 2016-10-28 00:40:14 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-17.20160520.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.